get
https://api.searoutes.com/v3/emissions
Beta notice : this endpoint is part of our v3-suite beta testing phase.
Please note that:
- The behavior and structure may change before public release.
- Some features or results may still be incomplete or evolving.
This endpoint allows you to retrieve the co2e emissions of :
- your shipment, by providing the unique identifier of your shipment (
id). - an order on a routing object, by providing unique identifiers of your routing object (route, route collection, leg or hub) and your order (
id).
The response is a JSON including the co2e emissions of the requested object and the emissions of its sub-components (routes of a route collection, legs and hubs of a route).
Support endpoints and resources
- Post route collection: use the
/v3/routeCollectionsendpoint to search routes. - Get route: use the
/v3/routes/{id}endpoint to retrieve details of a route. - Get route collection: use the
/v3/routeCollections/{id}endpoint to retrieve details of a route collection. - Get order: use the
/v3/orders/{id}endpoint to retrieve details of an order.